# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name type-level

Name:           ghc-%{pkg_name}
Version:        0.2.4
Release:        19%{?dist}
Summary:        Type-level programming library

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-template-haskell-devel
ExclusiveArch:  %{ghc_arches_with_ghci}
# End cabal-rpm deps

%description
This library permits performing computations on the type-level.
Type-level functions are implemented using functional dependencies of
multiparameter type classes. To date, Booleans and Numerals
(Naturals and Positives) are supported. With regard to Numerals,
there is support for common arithmetic operations (addition, substraction,
multiplication,division, exponientation, logarithm, maximum, comparison, GCD)
over natural numbers (using a decimal representation to make compile-time
errors friendlier).  For a tutorial on type-level numerals and how to use
them to implement numerically-parameterized vectors see:
<http://www.ict.kth.se/forsyde/files/tutorial/tutorial.html#FSVec>.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc README


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 0.2.4-18
- update to new simplified Haskell Packaging Guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.2.4-16
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.2.4-14
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.2.4-13
- rebuild

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.2.4-12
- add license to ghc_files

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.2.4-11
- update to cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.4-10.4
- rebuild with new gmp without compat lib

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.4-10.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.4-10.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.2.4-10.1
- rebuild with new gmp

* Thu Jun 23 2011 Jens Petersen <petersen@redhat.com> - 0.2.4-10
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.2.4-9
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Jens Petersen <petersen@redhat.com> - 0.2.4-7
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 0.2.4-6
- rebuild

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 0.2.4-5
- depends on syb for ghc7

* Fri Aug 20 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-4
- Removed ghc_pkg_deps and ghc_pkg_c_deps.

* Thu Aug 19 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-3
- Updated for cabal2spec-0.22.2.

* Tue Jul 13 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-2
- Added BSD license.
- Initial packaging for Fedora automatically generated by cabal2spec-0.22.1

* Wed Apr 07 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-1
- Initial packaging for Fedora automatically generated by cabal2spec-0.21.1
